import * as plugins from './spark.plugins.js';
import { Spark } from './index.js';

export class SparkLocalConfig {
  public sparkRef: Spark;
  private kvStore: plugins.npmextra.KeyValueStore;

  constructor(sparkRefArg: Spark) {
    this.sparkRef = sparkRefArg;
    this.kvStore = new plugins.npmextra.KeyValueStore({
      typeArg: 'userHomeDir',
      identityArg: 'servezone_spark',
    });
  }
}
